Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.blocks
Class RightCurlyCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
                      com.puppycrawl.tools.checkstyle.checks.blocks.RightCurlyCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class RightCurlyCheck

extends AbstractOptionCheck

Checks the placement of right curly braces. The policy to verify is specified using the `RightCurlyOption` class and defaults to `RightCurlyOption.SAME`.

By default the check will check the following tokens: `LITERAL_TRY`. `LITERAL_CATCH`, `LITERAL_FINALLY`. `LITERAL_IF`, `LITERAL_ELSE`,

An example of how to configure the check is:

     <module name="RightCurly"/>

An example of how to configure the check with policy `RightCurlyOption.ALONE` for `else` tokens is:

     <module name="RightCurly">
         <property name="tokens" value="LITERAL_ELSE"/>
         <property name="option" value="alone"/>
     </module>

Version:
  2.0
Author:
  Oliver Burn, lkuehne, o_sukhodolsky

Constructor Summary
`RightCurlyCheck()` Sets the right curly option to same.

Method Summary
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`void` | `setShouldStartLine(boolean aFlag)` Does the check need to check if rcurly starts line.
`void` | `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOptionCheck
`getAbstractOption, setOption`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RightCurlyCheck

    public RightCurlyCheck()

  Sets the right curly option to same.

Method Detail

### setShouldStartLine

    public void setShouldStartLine(boolean aFlag)

  Does the check need to check if rcurly starts line.

  Parameters:
    `aFlag` - new value of this property.

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD